# Interface methods for submodule: Mesh
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import PointSetProxy as _PointSetProxy


# Interface methods for class: Mesh
class MeshProxy(_PointSetProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetNumberOfCells(self) -> int:
		""""""
		...

	def PassStructure(self, inputMesh) -> None:
		""""""
		...

	def Initialize(self) -> None:
		""""""
		...

	def CopyInformation(self, data) -> None:
		""""""
		...

	def Graft(self, data) -> None:
		""""""
		...

	def GetBoundingBox(self):
		""""""
		...

	def SetCellLinks(self, arg0) -> None:
		""""""
		...

	def GetCellLinks(self):
		""""""
		...

	def SetCells(self, arg0) -> None:
		""""""
		...

	@overload
	def SetCellsArray(self, arg0) -> None:
		""""""
		...

	@overload
	def SetCellsArray(self, arg0, cellType: int) -> None:
		""""""
		...

	def GetCellsArray(self):
		""""""
		...

	def GetCells(self):
		""""""
		...

	@overload
	def SetCellData(self, arg0) -> None:
		""""""
		...

	@overload
	def SetCellData(self, arg0: int, arg1: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetCellData(self, arg0: int, arg1: float) -> None:
		""""""
		...

	@overload
	def SetCellData(self, arg0: int, arg1: int) -> None:
		""""""
		...

	@overload
	def GetCellData(self):
		""""""
		...

	@overload
	def GetCellData(self, arg0: int, arg1) -> bool:
		""""""
		...

	def DeleteUnusedCellData(self) -> None:
		""""""
		...

	def SetCell(self, arg0: int, arg1) -> None:
		""""""
		...

	def GetCell(self, arg0: int, arg1) -> bool:
		""""""
		...

	def SetBoundaryAssignment(self, dimension: int, cellId: int, featureId: int, boundaryId: int) -> None:
		""""""
		...

	def GetBoundaryAssignment(self, dimension: int, cellId: int, featureId: int, boundaryId) -> bool:
		""""""
		...

	def RemoveBoundaryAssignment(self, dimension: int, cellId: int, featureId: int) -> bool:
		""""""
		...

	def GetNumberOfCellBoundaryFeatures(self, dimension: int, arg1: int) -> int:
		""""""
		...

	def GetCellBoundaryFeature(self, dimension: int, arg1: int, arg2: int, arg3) -> bool:
		""""""
		...

	def GetCellBoundaryFeatureNeighbors(self, dimension: int, arg1: int, arg2: int, cellSet) -> int:
		""""""
		...

	def GetCellNeighbors(self, cellId: int, cellSet) -> int:
		""""""
		...

	def GetAssignedCellBoundaryIfOneExists(self, dimension: int, arg1: int, arg2: int, arg3) -> bool:
		""""""
		...

	def BuildCellLinks(self) -> None:
		""""""
		...

	def Accept(self, mv) -> None:
		""""""
		...

	def SetCellsAllocationMethod(self, _arg) -> None:
		""""""
		...

	def GetCellsAllocationMethod(self):
		""""""
		...

